API Reference

Check (Get) an Apple Pay on the Web Domain

GET/utilities/apple_pay/domains/www.example.com

Response fields:

Name Type Description
created_at DateTime Timestamp the record was created at
updated_at DateTime Timestamp of the last update to the record
domain String The domain registered with Apple
status String The status of the domain registration. Possible values are:
  • Active
  • Error
  • Pending
  • Pending Delete

Response

200Result
json
{
   "errors" : [],
   "response" : {
    "created_at" : "2021-04-17T22:28:44+10:00",
    "domain" : "test.com",
    "status" : "Active",
    "updated_at" : "2021-04-17T12:28:45+00:00"
   },
   "successful" : true,
   "test" : true
}
404Result
json
{
   "errors" : [
    "Record for www.example.com not found"
   ],
   "response" : {},
   "successful" : false,
   "test" : true
}